
Redmine - Patch #26188

Documentation (detailed syntax help & code) additions/improvements

2017-06-18 13:52 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Following #21375#note-11, I made four additional (code) documentation changes:

1. Complement external URL documentation. posted as #21375#note-11

2. Fix typo in detailed Japanse textile doc. (the closing angle bracket seems superfluous)

3. Add user link documentation. (detailed syntax doc; this was still missing from #4179)

4. Fix code doc indentation. (in ApplicationHelper#parse_redmine_links)

5. Add code doc for forum & news links. (in ApplicationHelper#parse_redmine_links; this was missing from #9600)

I'll attach the four remaining patches implementing these changes. The patch serial, against current source:/trunk@16676, is

produced using git format-patch which makes it apply-able using "patch -p1 < 0001-...". This serial is a continuation of 

#21375#note-11 which includes patch 1/5 of this set, making these patches dependent on #21375#note-11 integration.

I'll also change the respective wiki pages accordingly when the patches have been committed.

Environment:

Environment:

  Redmine version                3.3.3.devel@r16676

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Related to Redmine - Feature #4179: Link to user in wiki syntax Closed 2009-11-08

Related to Redmine - Feature #9600: Wiki links for news and forums Closed 2011-11-18

Related to Redmine - Feature #13497: Document all available Redmine links pro... Closed

Blocked by Redmine - Defect #21375: Working external URL prefixes (protocols ... Closed

Associated revisions

Revision 16690 - 2017-06-25 11:03 - Jean-Philippe Lang

Fix typo in detailed Japanse textile doc (#26188).

Patch by Mischa The Evil.

Revision 16691 - 2017-06-25 11:04 - Jean-Philippe Lang

Add user link documentation (#26188).

Patch by Mischa The Evil.

Revision 16692 - 2017-06-25 11:05 - Jean-Philippe Lang

Fix code doc indentation (#26188).

Patch by Mischa The Evil.
Revision 16693 - 2017-06-25 11:05 - Jean-Philippe Lang

Add code doc for forum & news links (#26188).

Patch by Mischa The Evil.

Revision 16694 - 2017-06-25 11:07 - Jean-Philippe Lang

Merged r16689 to r16693 (#21375, #26188).

History

#1 - 2017-06-18 13:53 - Mischa The Evil

- Blocked by Defect #21375: Working external URL prefixes (protocols and 'www' host part) not documented in wiki syntax added

#2 - 2017-06-18 13:53 - Mischa The Evil

- Related to Feature #4179: Link to user in wiki syntax added

#3 - 2017-06-18 13:53 - Mischa The Evil

- Related to Feature #9600: Wiki links for news and forums added

#4 - 2017-06-18 13:54 - Mischa The Evil

- Related to Feature #13497: Document all available Redmine links properly added

#5 - 2017-06-25 11:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

Files

0002-Fix-typo-in-detailed-Japanse-textile-doc.patch 1 KB 2017-06-18 Mischa The Evil

0003-Add-user-link-documentation.patch 77.7 KB 2017-06-18 Mischa The Evil

0004-Fix-code-doc-indentation.patch 1019 Bytes 2017-06-18 Mischa The Evil

0005-Add-code-doc-for-forum-news-links.patch 1.44 KB 2017-06-18 Mischa The Evil
